Bug 211053 - [NEW PORT] net/python-ntlm: Python library that provides NTLM support
Summary: [NEW PORT] net/python-ntlm: Python library that provides NTLM support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch
Depends on:
Blocks: 211061
  Show dependency treegraph
 
Reported: 2016-07-12 21:34 UTC by Danilo G. Baio
Modified: 2016-07-14 16:47 UTC (History)
2 users (show)

See Also:


Attachments
python-ntlm.shar (1.49 KB, text/plain)
2016-07-12 21:34 UTC, Danilo G. Baio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2016-07-12 21:34:05 UTC
Created attachment 172434 [details]
python-ntlm.shar

Python library that provides NTLM support, including an authentication
handler for urllib2. Works with pass-the-hash in additon to password
authentication.

This port will be used as a dependency for security/w3af.

- This port name follows the Python Ports Policy https://wiki.freebsd.org/Python/PortsPolicy
- The license is unknown. 
- portlint compliant
- poudriere tests ok FreeBSD 9.3|10.3|11 - i386|amd64

Poudriere output as example:

build started at Tue Jul 12 18:30:56 BRT 2016
port directory: /usr/ports/net/python-ntlm
building for: FreeBSD 11amd64-ports_dbaio 11.0-ALPHA1 FreeBSD 11.0-ALPHA1 r301120 amd64
maintained by: dbaio@bsd.com.br
ident warning: no id keywords in /usr/local/poudriere/data/.m/11amd64-ports_dbaio/ref//usr/ports/net/python-ntlm/Makefile
Makefile ident: 
Poudriere version: 3.2-pre
Host OSVERSION: 1100120
Jail OSVERSION: 1100116
[...]
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
=======================<phase: package        >============================
===>  Building package for py27-python-ntlm-1.1.0
===========================================================================
=======================<phase: install-mtree  >============================
===========================================================================
====>> Recording filesystem state for preinst... done
=======================<phase: install        >============================
===>  Installing for py27-python-ntlm-1.1.0
===>   py27-python-ntlm-1.1.0 depends on package: py27-setuptools27>0 - found
===>   py27-python-ntlm-1.1.0 depends on file: /usr/local/bin/python2.7 - found
===>   py27-python-ntlm-1.1.0 depends on executable: python2 - found
===>  Checking if py27-python-ntlm already installed
===>   Registering installation for py27-python-ntlm-1.1.0
[11amd64-ports_dbaio] Installing py27-python-ntlm-1.1.0...
===========================================================================
====>> Checking shared library dependencies
=======================<phase: deinstall      >============================
===>  Deinstalling for py27-python-ntlm
===>   Deinstalling py27-python-ntlm-1.1.0
Updating database digests format: ......... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	py27-python-ntlm-1.1.0

Number of packages to be removed: 1
[11amd64-ports_dbaio] [1/1] Deinstalling py27-python-ntlm-1.1.0...
[11amd64-ports_dbaio] [1/1] Deleting files for py27-python-ntlm-1.1.0: .......... done
===========================================================================
====>> Checking for extra files and directories
[00:00:27] ====>> Installing from package
[11amd64-ports_dbaio] Installing py27-python-ntlm-1.1.0...
[11amd64-ports_dbaio] Extracting py27-python-ntlm-1.1.0: .......... done
[00:00:27] ====>> Cleaning up
===>  Cleaning for py27-python-ntlm-1.1.0
[00:00:27] ====>> Deinstalling package
Updating database digests format: . done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	py27-python-ntlm-1.1.0

Number of packages to be removed: 1
[11amd64-ports_dbaio] [1/1] Deinstalling py27-python-ntlm-1.1.0...
[11amd64-ports_dbaio] [1/1] Deleting files for py27-python-ntlm-1.1.0: .......... done
build of net/python-ntlm ended at Tue Jul 12 18:31:16 BRT 2016
build time: 00:00:21
Comment 1 Kurt Jaeger freebsd_committer 2016-07-13 22:29:09 UTC
testbuilds look fine. Is there a way to name it py-ntlm ? The
python-ntlm port name looks a bit unusual.
Comment 2 Danilo G. Baio freebsd_committer 2016-07-14 12:00:23 UTC
I agree. I left this name because is the project name: https://pypi.python.org/pypi/python-ntlm

If you prefer I can change the portname and then submit a new .shar.

And thank you for this and the other ports.
Comment 3 Kurt Jaeger freebsd_committer 2016-07-14 12:03:48 UTC
No need for a new shar, koobs suggested to just rename the directory
to py-python-ntlm.

I'll retest and proceed.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-14 12:30:26 UTC
As per my reply off-list to Kurt, the port Makefile is fine (correctly uses PYTHON_PKGNAMEPREFIX and PORTNAME=$pypi_name), but the SVN directory needs to be changed to py-python-ntlm
Comment 5 Kurt Jaeger freebsd_committer 2016-07-14 16:47:17 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-07-14 16:47:55 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 14 16:47:08 UTC 2016
New revision: 418542
URL: https://svnweb.freebsd.org/changeset/ports/418542

Log:
  New port: net/py-python-ntlm

  Python library that provides NTLM support, including an authentication
  handler for urllib2. Works with pass-the-hash in additon to password
  authentication.

  WWW: https://pypi.python.org/pypi/python-ntlm

  PR:		211053
  Submitted by:	Danilo G. Baio <dbaio@bsd.com.br>
  Reviewed by:	koobs

Changes:
  head/net/Makefile
  head/net/py-python-ntlm/
  head/net/py-python-ntlm/Makefile
  head/net/py-python-ntlm/distinfo
  head/net/py-python-ntlm/pkg-descr